{% comment %}ly_global_begin{% endcomment %}{% include 'ly-global' %}{% comment %}ly_global_end{% endcomment %}<script type="text/javascript">

var mlvedaConf = {
{% if template contains 'product' %}
pid : "{{product.id}}",
{% elsif template contains 'collection' %}
category : "{% comment %}ly_code_replace_for_[collection.title]_begin{% endcomment %}{% include 'ly-title' with collection %}{{ly_translation}}{% comment %}ly_code_replace_end{% endcomment %}",
{% endif %}
currency : "{{shop.currency}}"
};
  


  
function createCookie(name,value,days){
if (days) {
var date = new Date();date.setTime(date.getTime()+(days*24*60*60*1000));var expires = "; expires="+date.toGMTString();}
else var expires = "";
document.cookie = name+"="+value+expires+"; path=/";}

function readCookie(name) {
var nameEQ = name + "=";
var ca = document.cookie.split(';');
for(var i=0;i < ca.length;i++) {
var c = ca[i];while (c.charAt(0)==' ') c = c.substring(1,c.length);
if (c.indexOf(nameEQ) == 0) return c.substring(nameEQ.length,c.length);}
return null;}

function eraseCookie(name) {
createCookie(name,"",-1);}
  

  
  
  //$('#mlveda-customersalsoviewed').click(function() {
function logClick(linkObj,source)
  {
    var eleid = $(linkObj).attr('id');
    var numberPattern = /\d+/g;
    var productId=null;
    var numericalsArr = eleid.match( numberPattern );
    var uniqueProductId=null;
    
    if(numericalsArr ==null || numericalsArr.length>1)
    {
      return;
    }
    else
    {
     productId=numericalsArr[0]; 
    }
    
    //alert(productId);
    var cookieSource=readCookie("mlvedaRecommendedProducts"+"-"+productId);

    if (cookieSource==null)
    {
    createCookie("mlvedaRecommendedProducts"+"-"+productId,source,365)
    }
    else
    {
      if (cookieSource.indexOf(source) == -1)
      {
            createCookie("mlvedaRecommendedProducts"+"-"+productId,cookieSource + " " + source,365)
      }
      else
      {
          uniqueProductId = productId;
      }
    }
    //var pixelUrl = "mlveda.com/ShopifyApps/CustomersAlsoViewed/img.png";
    var pixelUrl = "//mlveda.com/ShopifyApps/AnalyticsHub/processAnalytics";

    var shopName = "{{ shop.permanent_domain }}"
    var typeOfRecommendation = source;
    
    var pixelArgs= "shopName=" + shopName + "&typeOfRecommendation=" + typeOfRecommendation + "&productId=" + productId; 
    var pixel = new Image;
    //pixel.src = pixelUrl + "?" + pixelArgs;
    
       $.ajax({
        url: pixelUrl,
        type: "get",
         async: false,
         data: {
           shopName: shopName,
           typeOfRecommendation: typeOfRecommendation,
           productId: productId,
           uniqueProductId:uniqueProductId
         },
        success: function(){
            ////alert("success");
        },
        error:function(){
            //alert("failure");
        }
    });
    
  }
  
  
  
  
  
  
{% if template contains 'product' %}
  
          var productId = {{product.id }};

  
  $(document).ajaxComplete(function(event, xhr, settings) {
    if(settings.url.indexOf("add.js")!=-1)
    {
   cartUrl = "{{ shop.url }}"+"/cart.js";
        var source=readCookie("mlvedaRecommendedProducts"+"-"+productId);


      
      function updateCartAnalytics(result){
        
    var shopName = "{{ shop.permanent_domain }}";
    var typeOfRecommendation = source;
    var pixelUrl = "//mlveda.com/ShopifyApps/AnalyticsHub/processAnalytics";
    var pixelArgs= "onCartAdd=true&id="+productId; 
    var pixel = new Image;
    var cartId=result.token;
    //pixel.src = pixelUrl + "?" + pixelArgs;
    
       	$.ajax({
        url: pixelUrl,
        type: "get",
         	data: {
             async: false,
           	shopName: shopName,
           	typeOfRecommendation: typeOfRecommendation,
           	productId: productId,
           	cartToken: cartId
        },
     	});
      
      //eraseCookie("mlvedaRecommendedProducts"+"-"+productId);
        eraseCookie("mlvedaRecommendedProductsAddedToCart"+"-"+productId);

      }
   

 function errorCartJson(result) {
     console.log("error : " + result);
      }       
      
      
      if(source!=null)
      {
        $.ajax({
        type: 'GET',
        url: cartUrl,
        dataType: 'json',
        async: false,
        cache: false,
        success: updateCartAnalytics,
        error: errorCartJson
    });
      }
    }
  });
  
  
var iCanUseOn = !!$.fn.on;
if(iCanUseOn){
$("form[action='/cart/add']").find(":submit").on("click",function( event ) {
          var source=readCookie("mlvedaRecommendedProducts"+"-"+productId);

  if(source!=null)
  {
createCookie("mlvedaRecommendedProductsAddedToCart"+"-"+productId,source,365)
  }
});
}
else{
$("form[action='/cart/add']").delegate(":submit","click",function() {
          var source=readCookie("mlvedaRecommendedProducts"+"-"+productId);

  if(source!=null)
  {
createCookie("mlvedaRecommendedProductsAddedToCart"+"-"+productId,source,365)
  }

});
}  
  
{% endif %}
 
{% if template contains 'cart' %}
  
  $(document).ready()
  {
    var cartUrl = "{{ shop.url }}"+"/cart.js";

  
  
    function updateCartAnalytics(response)
    {
        
       jQuery.each(response.items, function(key, val) 
       {

       productId = response.items[key].product_id;
         
       source=readCookie("mlvedaRecommendedProductsAddedToCart"+"-"+productId);

         if(source!=null)
         {
       
    var shopName = "{{ shop.permanent_domain }}";
    var typeOfRecommendation = source;
    var pixelUrl = "//mlveda.com/ShopifyApps/AnalyticsHub/processAnalytics";
    var pixelArgs= "onCartAdd=true&id="+productId; 
    var pixel = new Image;
    var cartId=response.token;
    //pixel.src = pixelUrl + "?" + pixelArgs;
    
       	$.ajax({
        url: pixelUrl,
        type: "get",
         	data: {
             async: false,
           	shopName: shopName,
           	typeOfRecommendation: typeOfRecommendation,
           	productId: productId,
           	cartToken: cartId
        }
     	});
      
      eraseCookie("mlvedaRecommendedProductsAddedToCart"+"-"+productId);
         }
                   
      });
       
    }
                    
                   
    
    function errorCartJson(result) {
     console.log("error : " + result);
      }    
    
           $.ajax({
        type: 'GET',
        url: cartUrl,
        dataType: 'json',
        async: false,
        cache: false,
        success: updateCartAnalytics,
        error: errorCartJson
    });
  
 
  }	
{% endif %}

  
  
</script>